package integrationtest;

import org.junit.*;
import com.thoughtworks.selenium.*;

public class SeleniumIntegrTest
{
   private Selenium selenium;
   private String   contextPath;

   @Before
   public void startSelenium()
   {
      int seleniumPort = Integer.parseInt( System.getProperty( "seleniumPort" ) );
      String browser   = System.getProperty( "browser" );
      String appsrvUrl = System.getProperty( "appsrvUrl" );
      contextPath      = System.getProperty( "contextPath" );
      selenium         = new DefaultSelenium( "localhost", seleniumPort, "*" + browser, appsrvUrl );
      selenium.start();
      selenium.setSpeed( "500" );
   }

   @After
   public void stopSelenium()
   {
      selenium.stop();
   }

   @Test
   public void test()
   {
      selenium.open( contextPath );
      selenium.waitForPageToLoad( "33000" );
      Assert.assertTrue( selenium.isTextPresent( "Startseite" ) );
      selenium.click( "link=Berechnungsformular" );
      selenium.waitForPageToLoad( "33000" );
      Assert.assertTrue( selenium.isTextPresent( "Webseite mit Berechnungsformular" ) );
      selenium.type( "wert1", "49.7" );
      selenium.type( "wert2", "-7.7" );
      selenium.click( "berechne" );
      selenium.waitForPageToLoad( "33000" );
      Assert.assertEquals( "42.0", selenium.getValue( "name=ergebnis" ) );
   }
}
